<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('products_sku', function (Blueprint $table) {
            $table->foreignId('passport_id')
                ->nullable()
                ->after('certificate_type')
                ->constrained('files')
                ->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('products_sku', function (Blueprint $table) {
            $table->dropForeign('products_sku_passport_id_foreign');
            $table->dropColumn('passport_id');
        });
    }
};
